Ticket #35415

Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Windows10: Macroが最前面に表示されない

Open Date: 2015-08-17 20:14 Last Update: 2017-06-03 22:41

Reporter: (Anonymous) Owner: (None)
Type: Bugs Status: Open
Component: Tera Term Macro MileStone: (None)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Works For Me

Details

Tera Term Version 4.87 (SVN# 5897)

Windows10 Pro (17-AUG-2015)


Tera Term Menuからマクロを実行しています。

このマクロからlistboxを表示して、接続先(SSH、TELNET、COM等)を選択していますが、 listboxが最前面に表示されません。

マクロの先頭に、 show 1 は記載しています。

不具合なら改修を、何かしらの設定が必要ならそのアドバイスを、 お願いいたします。

Attachment File List

No attachments

Ticket History (3/13 Histories)

2015-08-17 20:14 Updated by: None
  • New Ticket "Windows10: Macroが最前面に表示されない" created
2015-08-19 02:52 Updated by: maya
Comment

http://ttssh2.osdn.jp/manual/ja/macro/command/listbox.html

の「例」のマクロをTeraTerm Menuから実行しましたが、再現しませんでした。

strdim msg 3
msg[0] = 'バナナ' 
msg[1] = 'りんご' 
msg[2] = 'みかん'
listbox '好きな食べ物を選んでください' 'あなたへの問い' msg

これで現象が再現しますか?

2015-08-25 15:39 Updated by: None
Comment

コメントいただきまして、ありがとうございます。
以下、確認状況です。何かお役に立ちますでしょうか。

これで現象が再現しますか?

再現しました。

strdim msg 3
msg[0] = 'バナナ' 
msg[1] = 'りんご' 
msg[2] = 'みかん'
listbox '好きな食べ物を選んでください' 'あなたへの問い' msg
sprintf2 var "%d" result
messagebox var "result"
; result
;   -1: Cancel
;    0: バナナ
;    1: りんご
;    2: みかん


ただ、エクスプローラーから直接マクロファイル(*.TTL)を実行した際は、 最前面に表示されました。(ご案内いただいたサンプルも、当方の自作マクロも)

システムトレイ上のTeraTerm Menuから実行する際に、再現するようです。

Tera Term 支援ツール
TeraTerm Menu Version 1.13
Includes:
version 0.94r2

TeraTerm Menuの設定は、作成したマクロファイルを実行するように、 最小限の設定のみ施しています。

登録名:xxxxx
●マクロファイルを指定して実行:xxxx.ttl


2015-09-24 19:17 Updated by: maya
Comment

上に書いた再現試験は、Windows10でTeraTerm Menuから実行しましたが再現していません。

他になにか要因があるのかもしれません。手がかりがあるとよいのですが…

2016-06-05 15:08 Updated by: yutakapon
  • Milestone Update from (None) to Tera Term 4.92 (closed)
  • Ticket Close date is changed to 2016-06-05 15:08
  • Status Update from Open to Closed
  • Resolution Update from None to Works For Me
2016-06-05 15:12 Updated by: yutakapon
  • Status Update from Closed to Open
2016-08-22 21:07 Updated by: maya
2016-12-01 09:01 Updated by: None
2016-12-06 21:44 Updated by: maya
2017-03-01 09:01 Updated by: None
2017-03-14 19:57 Updated by: maya
2017-06-01 09:01 Updated by: None
2017-06-03 22:41 Updated by: maya

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login